Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0001752KdenliveMLTpublic2010-08-17 17:542010-09-14 23:16
Reporterevorster 
Assigned Toj-b-m 
PrioritynormalSeveritycrashReproducibilityalways
StatusclosedResolutionno change required 
Platformx86OSSorcerer LinuxOS Version2010-222
Product Version0.7.7.1 
Target VersionFixed in Version0.7.7.1 
Summary0001752: Kdenlive crashes when I load a project.
DescriptionI have seen this several times with several projects.
Kdenlive allows me to create projects with clips from many different directories. Once I save and close them, they can't be opened again.
I have 4GB ram on this machine, and it having watched the used ram it's certainly not running out of ram.

Here is a backtrace:
warning: Unable to find libthread_db matching inferior's thread library, thread debugging will not be available.
[New LWP 922]

Program received signal SIGSEGV, Segmentation fault.
[Switching to LWP 922]
mlt_properties_find (this=0xab5001a0, name=0xb7fc6130 "_profile", length=0x0) at mlt_properties.c:357
357 mlt_properties.c: No such file or directory.
        in mlt_properties.c
(gdb) bt
#0 mlt_properties_find (this=0xab5001a0, name=0xb7fc6130 "_profile", length=0x0) at mlt_properties.c:357
#1 mlt_properties_get_data (this=0xab5001a0, name=0xb7fc6130 "_profile", length=0x0) at mlt_properties.c:890
0000002 0xb7fb82be in mlt_service_profile (this=0xab5001a0) at mlt_service.c:637
0000003 0xb40bf2b0 in producer_set_up_video (producer=0x8a754b8, frame=0xa34441ec, index=0) at producer_avformat.c:1401
0000004 producer_get_frame (producer=0x8a754b8, frame=0xa34441ec, index=0) at producer_avformat.c:2000
0000005 0xb7fbafb7 in producer_get_frame (service=0x8a754b8, frame=0xa34441ec, index=0) at mlt_producer.c:578
0000006 0xb7fb8fc7 in mlt_service_get_frame (this=0x8a754b8, frame=0xa34441ec, index=0) at mlt_service.c:457
0000007 0xb7f9ff9c in Mlt::Service::get_frame(int) () from /usr/lib/libmlt++.so.3
0000008 0x0817a74d in MyThread::run() ()
0000009 0xb721393f in ?? () from /opt/kde4/lib/libQtCore.so.4
0000010 0xb71a0816 in ?? () from /lib/libpthread.so.0
0000011 0xb65440ce in clone () from /lib/libc.so.6
Steps To ReproduceMake huge project.
Save project.
Re-start kdenlive.
Open project.

Additional Information4GB ram in system.
All clips are DNxHD
Clips are stored on an external USB hard drive in seperate directories.
TagsNo tags attached.
Build/Install MethodManual build from release
Attached Files

- Relationships

-  Notes
(0005643)
evorster (reporter)
2010-08-17 17:59

KDE crash info:

Application: Kdenlive (kdenlive), signal: Segmentation fault
[Current thread is 1 (process 1386)]

Thread 1 (process 1386):
#0 0xb78a5424 in __kernel_vsyscall ()
#1 0xb6a6bbbb in read () from /lib/libpthread.so.0
0000002 0xb6baa35a in ?? () from /opt/kde4/lib/libQtCore.so.4
0000003 0xb6bb2f6a in ?? () from /opt/kde4/lib/libQtCore.so.4
0000004 0xb6ba9505 in QFSFileEngine::read(char*, long long) () from /opt/kde4/lib/libQtCore.so.4
0000005 0xb6b613ea in QFile::readData(char*, long long) () from /opt/kde4/lib/libQtCore.so.4
0000006 0xb6b6bf01 in QIODevice::read(char*, long long) () from /opt/kde4/lib/libQtCore.so.4
0000007 0xb6b6e5f1 in QIODevice::readAll() () from /opt/kde4/lib/libQtCore.so.4
0000008 0x0817bdcb in KThumb::getAudioThumbs(int, double, double, int) ()
0000009 0x0810c7bc in DocClipBase::slotGetAudioThumbs() ()
0000010 0x081808a0 in ClipManager::startAudioThumbsGeneration() ()
0000011 0x08180b48 in ClipManager::askForAudioThumb(QString const&) ()
0000012 0x0810c416 in DocClipBase::askForAudioThumbs() ()
0000013 0x080b11ea in ProjectList::slotReplyGetFileProperties(QString const&, Mlt::Producer*, QMap<QString, QString> const&, QMap<QString, QString> const&, bool) ()
0000014 0x080b9471 in ProjectList::qt_metacall(QMetaObject::Call, int, void**) ()
0000015 0xb6be0cfa in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000016 0xb6bef507 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000017 0x080c7b39 in Render::replyGetFileProperties(QString const&, Mlt::Producer*, QMap<QString, QString> const&, QMap<QString, QString> const&, bool) ()
0000018 0x080dbfb9 in Render::getFileProperties(QDomElement, QString const&, int, bool) ()
0000019 0x080e12d8 in Render::qt_metacall(QMetaObject::Call, int, void**) ()
0000020 0xb6be0cfa in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000021 0xb6bef507 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000022 0x080aaa7d in ProjectList::getFileProperties(QDomElement, QString const&, int, bool) ()
0000023 0x080b10d3 in ProjectList::slotProcessNextClipInQueue() ()
0000024 0x080b9980 in ProjectList::qt_metacall(QMetaObject::Call, int, void**) ()
0000025 0xb6be0cfa in QMetaObject::metacall(QObject*, QMetaObject::Call, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000026 0xb6bef507 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /opt/kde4/lib/libQtCore.so.4
0000027 0xb6bf7178 in ?? () from /opt/kde4/lib/libQtCore.so.4
0000028 0xb6bf728d in ?? () from /opt/kde4/lib/libQtCore.so.4
0000029 0xb6bec2fc in QObject::event(QEvent*) () from /opt/kde4/lib/libQtCore.so.4
0000030 0xb60ce764 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /opt/kde4/lib/libQtGui.so.4
0000031 0xb60d531e in QApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib/libQtGui.so.4
0000032 0xb75f4adb in KApplication::notify(QObject*, QEvent*) () from /opt/kde4/lib/libkdeui.so.5
0000033 0xb6bdba92 in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /opt/kde4/lib/libQtCore.so.4
0000034 0xb6c0b11e in ?? () from /opt/kde4/lib/libQtCore.so.4
0000035 0xb6c07d65 in ?? () from /opt/kde4/lib/libQtCore.so.4
0000036 0xb548848c in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
0000037 0xb548c2d0 in g_main_context_iterate () from /usr/lib/libglib-2.0.so.0
0000038 0xb548c479 in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
0000039 0xb6c07a26 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib/libQtCore.so.4
0000040 0xb618ba76 in ?? () from /opt/kde4/lib/libQtGui.so.4
0000041 0xb6bda06a in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib/libQtCore.so.4
0000042 0xb6bda4ca in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /opt/kde4/lib/libQtCore.so.4
0000043 0xb6bde6e1 in QCoreApplication::exec() () from /opt/kde4/lib/libQtCore.so.4
0000044 0xb60ce808 in QApplication::exec() () from /opt/kde4/lib/libQtGui.so.4
0000045 0x08080533 in main ()
(0005729)
ttill (developer)
2010-08-31 23:04

Does this crash also happen if you disable audio thumbs (and maybe also video thumbs)?
(0005731)
evorster (reporter)
2010-09-01 00:35

Ah, sorry for keeping this one open.

A handful of applications on my system was compiled with -O3. After re-compiling the ones that would take -O2 and then the rest of the system, the instability went away.

My compiler was also slightly old gcc-4.4.4, so I believe I may have hit a regression in the compiler there.

Kdenlive does not crash for me anymore.
-Evert Vorster-

- Issue History
Date Modified Username Field Change
2010-08-17 17:54 evorster New Issue
2010-08-17 17:59 evorster Note Added: 0005643
2010-08-31 23:04 ttill Note Added: 0005729
2010-08-31 23:04 ttill Status new => feedback
2010-09-01 00:35 evorster Note Added: 0005731
2010-09-01 00:35 evorster Status feedback => new
2010-09-01 07:26 j-b-m Status new => resolved
2010-09-01 07:26 j-b-m Fixed in Version => 0.7.7.1
2010-09-01 07:26 j-b-m Resolution open => no change required
2010-09-01 07:26 j-b-m Assigned To => j-b-m
2010-09-14 23:16 ttill Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker